package com.unis.detectionnum.server.dao;

import com.unis.detectionnum.common.vo.DeviceInfoQueryVO;
import com.unis.detectionnum.server.entity.DeviceInfoDO;

import java.util.List;

import org.springframework.stereotype.Repository;

@Repository("deviceInfoDao")
public interface DeviceInfoDao {
    int deleteByPrimaryKey(String sbCode);

    int insert(DeviceInfoDO record);

    int insertSelective(DeviceInfoDO record);

    DeviceInfoDO selectByPrimaryKey(String sbCode);

    int updateByPrimaryKeySelective(DeviceInfoDO record);

    int updateByPrimaryKey(DeviceInfoDO record);

    //获取设备信息
    DeviceInfoDO selectOneByParams(DeviceInfoQueryVO deviceInfoQueryVO);
    
    //获取设备信息
    List<DeviceInfoDO> selectListByParams(DeviceInfoQueryVO deviceInfoQueryVO);
    
    /** 
	 * @Title: getMaxCodeById 
	 * @Description: 获取设备code
	 * @param cfbh
	 * @return String
	 * @throws 
	 */
	String getMaxCodeById(String cfbh);

    //获取所有设备信息
    List<DeviceInfoDO> selectListAll();
}